CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2024 开发者帮助

SelectionSets 属性 (ActiveX)

2024-5-18 19:09| 发布者: admin| 查看: 95| 评论: 0|原作者: admin|来自: AutoCAD

SelectionSets 属性 (ActiveX)

获取文档的 SelectionSets 集合。

支持的平台:仅限 Windows

签名

VBA:

object.SelectionSets
对象

类别: 文档

此属性应用于的对象。

属性值

只读:是的

类型:SelectionSets

图形的选择集集合。

言论

没有其他评论。

例子

VBA:

Sub Example_SelectionSets()
    ' This example finds the current SelectionSets collection and
    ' adds a new SelectionSet to that collection.
    
    Dim SSetColl As AcadSelectionSets
    Set SSetColl = ThisDrawing.SelectionSets
    
    ' Create a SelectionSet named "TEST" in the current drawing
    Dim ssetObj As AcadSelectionSet
    Set ssetObj = SSetColl.Add("TEST")
    MsgBox "A new SelectionSet called " & ssetObj.name & " has been added to the SelectionSets collection.", vbInformation, "SelectionSets Example"
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_SelectionSets()
    ;; This example finds the current SelectionSets collection and
    ;; adds a new SelectionSet to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    (setq SSetColl (vla-get-SelectionSets doc))

    ;; Create a SelectionSet named "TEST" in the current drawing
    (setq ssetObj (vla-Add SSetColl "TEST"))
    (alert (strcat "A new SelectionSet called " (vla-get-Name ssetObj) " has been added to the SelectionSets collection."))

    (vla-Delete ssetObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-1-19 07:25

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部